<app-loading *ngIf="isLoading"></app-loading>

<div class="content-header">
  <mb-button mbButtonAvailableStyle="PRIMARY" *ngIf="objFunction?.approve"
             mbButtonSize="LARGE" mbButtonText="{{'common.button.approved' | translate}}"
             mbButtonType="NO_BORDER" (click)="approveOrRejectAllowanceProcess(true)"></mb-button>
  <mb-button (click)="approveAll()" *ngIf="objFunction?.approve" mbButtonAvailableStyle="PRIMARY"
             mbButtonSize="LARGE" mbButtonText="{{'common.button.approvedAll' | translate}}"
             mbButtonType="NO_BORDER"></mb-button>
  <mb-button (click)="approveOrRejectAllowanceProcess(false)" *ngIf="objFunction?.approve" mbButtonSize="MEDIUM" mbButtonText="{{'common.button.reject' | translate}}"
             mbButtonTextColor="#141ED2">
  </mb-button>
</div>
<nz-card class="allowance-approve-card">
  <div class="allowance-approve-card__row" nz-row>
    <div class="allowance-approve-card__left" nz-col nzSpan="5">
      <div style="position: relative">
        <hcm-mfe-employee-data-search-policy [mbCanText]="true" [(ngModel)]="employee" [ngModelOptions]="{standalone: true}"
                              [multiple]="true" [functionCode]="functionCode" (selectedChange)="onChange($event)"
                              mbLabelText="{{'polManagement.label.employee' | translate}} ">
        </hcm-mfe-employee-data-search-policy>
      </div>
    </div>
    <div class="allowance-approve-card__left" nz-col nzSpan="5">
      <div style="position: relative">
        <mb-input-text
          [(ngModel)]="orgName"
          mbType="default"
          [mbMaxLength]="50"
          [defaultInput]="true"
          (mbClick)="showModalOrg($event)"
          mbPlaceholderText=""
          mbLabelText="{{'polManagement.label.org' | translate}}"
          [mbReadOnly]="true"
        >
        </mb-input-text>
        <em
          *ngIf="orgName"
          nz-icon
          class="allowance-approve-card__left__icon"
          (click)="clearOrgInput()"
          nzType="close-circle"
          nzTheme="outline"
        ></em>
      </div>
    </div>
    <div class="allowance-approve-card__left" nz-col nzSpan="5">
      <div style="position: relative">
        <mb-input-text
          [(ngModel)]="params.createdBy"
          mbType="default"
          [defaultInput]="true"
          mbPlaceholderText=""
          mbLabelText="{{'polManagement.table.createdBy' | translate}}"
        >
        </mb-input-text>
      </div>
    </div>
    <div class="allowance-approve-card__left" nz-col nzSpan="5">
      <div style="position: relative; margin-top: 1.6rem;">
        <mb-button
          mbButtonSize="VERY_LARGE"
          mbButtonAvailableStyle="CUSTOM"
          (click)="search()"
          mbButtonText="{{'polManagement.button.search' | translate}}"
        ></mb-button>
      </div>
    </div>
  </div>
</nz-card>
<div>
  <div nz-col nzSpan="24">
    <mb-input-text mbType="default" mbLabelText="{{'polManagement.label.reasonRjAp' | translate}}" [mbMaxLength]="4000" [defaultInput]="true" [mbIsTextAre]="true"
                   [mbConfig]="{autoSize:true, rows:1 , placeholder:''}" [removeMinHeight]="true" [mbIsTextAreAutoResize]="true"
                   [mbType]="(isSubmit && !description) ?  'error' : 'default'"
                   [mbShowError]="isSubmit && !description"
                   [mbErrors]="{required:true}"
                   [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'polManagement.validate.reasonReject' | translate }]"
                   [(ngModel)]="description">
    </mb-input-text>
  </div>
</div>
<div>
  <mb-table-wrap [mbTitle]="''" [nonBg]="true">
    <mb-table [keyCheck]="'prAllowanceProcessId'"
              [heightTable]="heightTable"
              (changePageNum)='search($event)'
              (onDblClickNode)='onClickItem($event)'
              [tableConfig]='tableConfig' [tableData]='dataTable' [checkedCashArrayFromComment]="checked"></mb-table>
  </mb-table-wrap>
</div>
